Note: This endpoint is in preview and is subject to change. If you have any feedback, contact Datadog support.

GET https://api.ap1.datadoghq.com/api/v2/model-lab-api/runs/{run_id}https://api.ap2.datadoghq.com/api/v2/model-lab-api/runs/{run_id}https://api.datadoghq.eu/api/v2/model-lab-api/runs/{run_id}https://api.ddog-gov.com/api/v2/model-lab-api/runs/{run_id}https://api.us2.ddog-gov.com/api/v2/model-lab-api/runs/{run_id}https://api.uk1.datadoghq.com/api/v2/model-lab-api/runs/{run_id}https://api.datadoghq.com/api/v2/model-lab-api/runs/{run_id}https://api.us3.datadoghq.com/api/v2/model-lab-api/runs/{run_id}https://api.us5.datadoghq.com/api/v2/model-lab-api/runs/{run_id}

概要

Get a single Model Lab run by its ID.

引数

パスパラメーター

名前

タイプ

説明

run_id [required]

integer

The ID of the Model Lab run.

応答

OK

Response containing a single Model Lab run.

Expand All

フィールド

タイプ

説明

data [required]

object

A Model Lab run JSON:API resource object.

attributes [required]

object

Attributes of a Model Lab run.

completed_at

date-time

The date and time the run completed.

created_at [required]

date-time

The date and time the run was created.

deleted_at

date-time

The date and time the run was soft-deleted.

descendant_match [required]

boolean

Whether a descendant run matched the applied filters.

description [required]

string

A description of the run.

duration

double

The duration of the run in seconds.

external_url

string

An optional external URL associated with the run.

has_children [required]

boolean

Whether the run has child runs.

is_pinned [required]

boolean

Whether the run is pinned by the current user.

metric_summaries [required]

[object]

Summary statistics for metrics recorded during the run.

count [required]

int64

The total number of recorded values.

first_step

int64

The first step at which the metric was recorded.

key [required]

string

The metric name.

last_step

int64

The last step at which the metric was recorded.

latest

double

The most recently recorded value.

max

double

The maximum recorded value.

mean

double

The mean of recorded values.

min

double

The minimum recorded value.

stddev

double

The standard deviation of recorded values.

mlflow_artifact_location [required]

string

The MLflow artifact storage location for this run.

name [required]

string

The name of the run.

owner_id

string

The UUID of the run owner.

params [required]

[object]

The list of parameters used for the run.

key [required]

string

The parameter key.

value [required]

string

The parameter value.

project_id [required]

int64

The ID of the project this run belongs to.

started_at [required]

date-time

The date and time the run started.

status [required]

enum

The status of a Model Lab run. Allowed enum values: pending,running,completed,failed,killed,unresponsive,paused

tags [required]

[object]

The list of tags associated with the run.

key [required]

string

The tag key.

value [required]

string

The tag value.

updated_at [required]

date-time

The date and time the run was last updated.

id [required]

string

The unique identifier of the run.

type [required]

enum

The JSON:API type for a Model Lab run resource. Allowed enum values: runs

{
  "data": {
    "attributes": {
      "completed_at": "2019-09-19T10:00:00.000Z",
      "created_at": "2024-01-20T10:00:00Z",
      "deleted_at": "2019-09-19T10:00:00.000Z",
      "descendant_match": false,
      "description": "Fine-tuning run with custom hyperparameters.",
      "duration": "number",
      "external_url": "string",
      "has_children": false,
      "is_pinned": false,
      "metric_summaries": [
        {
          "count": 100,
          "first_step": "integer",
          "key": "accuracy",
          "last_step": "integer",
          "latest": "number",
          "max": "number",
          "mean": "number",
          "min": "number",
          "stddev": "number"
        }
      ],
      "mlflow_artifact_location": "s3://bucket/active-run",
      "name": "training-run-1",
      "owner_id": "string",
      "params": [
        {
          "key": "algorithm",
          "value": "gpt4"
        }
      ],
      "project_id": 101,
      "started_at": "2024-01-20T10:00:00Z",
      "status": "running",
      "tags": [
        {
          "key": "model",
          "value": "opus"
        }
      ],
      "updated_at": "2024-01-20T11:00:00Z"
    },
    "id": "42",
    "type": "runs"
  }
}

Bad Request

API error response.

Expand All

フィールド

タイプ

説明

errors [required]

[object]

A list of errors.

detail

string

A human-readable explanation specific to this occurrence of the error.

meta

object

Non-standard meta-information about the error

source

object

References to the source of the error.

header

string

A string indicating the name of a single request header which caused the error.

parameter

string

A string indicating which URI query parameter caused the error.

pointer

string

A JSON pointer to the value in the request document that caused the error.

status

string

Status code of the response.

title

string

Short human-readable summary of the error.

{
  "errors": [
    {
      "detail": "Missing required attribute in body",
      "meta": {},
      "source": {
        "header": "Authorization",
        "parameter": "limit",
        "pointer": "/data/attributes/title"
      },
      "status": "400",
      "title": "Bad Request"
    }
  ]
}

Not Found

API error response.

Expand All

フィールド

タイプ

説明

errors [required]

[object]

A list of errors.

detail

string

A human-readable explanation specific to this occurrence of the error.

meta

object

Non-standard meta-information about the error

source

object

References to the source of the error.

header

string

A string indicating the name of a single request header which caused the error.

parameter

string

A string indicating which URI query parameter caused the error.

pointer

string

A JSON pointer to the value in the request document that caused the error.

status

string

Status code of the response.

title

string

Short human-readable summary of the error.

{
  "errors": [
    {
      "detail": "Missing required attribute in body",
      "meta": {},
      "source": {
        "header": "Authorization",
        "parameter": "limit",
        "pointer": "/data/attributes/title"
      },
      "status": "400",
      "title": "Bad Request"
    }
  ]
}

Too many requests

API error response.

Expand All

フィールド

タイプ

説明

errors [required]

[string]

A list of errors.

{
  "errors": [
    "Bad Request"
  ]
}

Internal Server Error

API error response.

Expand All

フィールド

タイプ

説明

errors [required]

[object]

A list of errors.

detail

string

A human-readable explanation specific to this occurrence of the error.

meta

object

Non-standard meta-information about the error

source

object

References to the source of the error.

header

string

A string indicating the name of a single request header which caused the error.

parameter

string

A string indicating which URI query parameter caused the error.

pointer

string

A JSON pointer to the value in the request document that caused the error.

status

string

Status code of the response.

title

string

Short human-readable summary of the error.

{
  "errors": [
    {
      "detail": "Missing required attribute in body",
      "meta": {},
      "source": {
        "header": "Authorization",
        "parameter": "limit",
        "pointer": "/data/attributes/title"
      },
      "status": "400",
      "title": "Bad Request"
    }
  ]
}

コード例

                  # Path parameters
export run_id="42"
# Use a Personal Access Token or Service Access Token
export DD_BEARER_TOKEN="<PERSONAL_ACCESS_TOKEN OR SERVICE_ACCESS_TOKEN>"

# Curl command
curl -X GET "https://api.ap1.datadoghq.com"https://api.ap2.datadoghq.com"https://api.datadoghq.eu"https://api.ddog-gov.com"https://api.us2.ddog-gov.com"https://api.uk1.datadoghq.com"https://api.datadoghq.com"https://api.us3.datadoghq.com"https://api.us5.datadoghq.com/api/v2/model-lab-api/runs/${run_id}" \ -H "Accept: application/json" \ -H "Authorization: Bearer ${DD_BEARER_TOKEN}"
"""
Get a Model Lab run returns "OK" response
"""

from os import environ
from datadog_api_client import ApiClient, Configuration
from datadog_api_client.v2.api.model_lab_api_api import ModelLabAPIApi

configuration = Configuration()
configuration.access_token = environ["DD_BEARER_TOKEN"]
configuration.unstable_operations["get_model_lab_run"] = True
with ApiClient(configuration) as api_client:
    api_instance = ModelLabAPIApi(api_client)
    response = api_instance.get_model_lab_run(
        run_id=70158,
    )

    print(response)

Instructions

First install the library and its dependencies and then save the example to example.py and run following commands:

    
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comuk1.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_BEARER_TOKEN="<PERSONAL_ACCESS_TOKEN OR SERVICE_ACCESS_TOKEN>" python3 "example.py"
# Get a Model Lab run returns "OK" response

require "datadog_api_client"
DatadogAPIClient.configure do |config|
  config.access_token = ENV["DD_BEARER_TOKEN"]
  config.unstable_operations["v2.get_model_lab_run".to_sym] = true
end
api_instance = DatadogAPIClient::V2::ModelLabAPIAPI.new
p api_instance.get_model_lab_run(70158)

Instructions

First install the library and its dependencies and then save the example to example.rb and run following commands:

    
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comuk1.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_BEARER_TOKEN="<PERSONAL_ACCESS_TOKEN OR SERVICE_ACCESS_TOKEN>" rb "example.rb"
// Get a Model Lab run returns "OK" response

package main

import (
	"context"
	"encoding/json"
	"fmt"
	"os"

	"github.com/DataDog/datadog-api-client-go/v2/api/datadog"
	"github.com/DataDog/datadog-api-client-go/v2/api/datadogV2"
)

func main() {
	ctx := datadog.NewDefaultContext(context.Background())
	ctx = context.WithValue(ctx, datadog.ContextAccessToken, os.Getenv("DD_BEARER_TOKEN"))
	configuration := datadog.NewConfiguration()
	configuration.SetUnstableOperationEnabled("v2.GetModelLabRun", true)
	apiClient := datadog.NewAPIClient(configuration)
	api := datadogV2.NewModelLabAPIApi(apiClient)
	resp, r, err := api.GetModelLabRun(ctx, 70158)

	if err != nil {
		fmt.Fprintf(os.Stderr, "Error when calling `ModelLabAPIApi.GetModelLabRun`: %v\n", err)
		fmt.Fprintf(os.Stderr, "Full HTTP response: %v\n", r)
	}

	responseContent, _ := json.MarshalIndent(resp, "", "  ")
	fmt.Fprintf(os.Stdout, "Response from `ModelLabAPIApi.GetModelLabRun`:\n%s\n", responseContent)
}

Instructions

First install the library and its dependencies and then save the example to main.go and run following commands:

    
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comuk1.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_BEARER_TOKEN="<PERSONAL_ACCESS_TOKEN OR SERVICE_ACCESS_TOKEN>" go run "main.go"
// Get a Model Lab run returns "OK" response

import com.datadog.api.client.ApiClient;
import com.datadog.api.client.ApiException;
import com.datadog.api.client.v2.api.ModelLabApiApi;
import com.datadog.api.client.v2.model.ModelLabRunResponse;

public class Example {
  public static void main(String[] args) {
    ApiClient defaultClient = ApiClient.getDefaultApiClient();
    defaultClient.setAccessToken(System.getenv("DD_BEARER_TOKEN"));
    defaultClient.setUnstableOperationEnabled("v2.getModelLabRun", true);
    ModelLabApiApi apiInstance = new ModelLabApiApi(defaultClient);

    try {
      ModelLabRunResponse result = apiInstance.getModelLabRun(70158L);
      System.out.println(result);
    } catch (ApiException e) {
      System.err.println("Exception when calling ModelLabApiApi#getModelLabRun");
      System.err.println("Status code: " + e.getCode());
      System.err.println("Reason: " + e.getResponseBody());
      System.err.println("Response headers: " + e.getResponseHeaders());
      e.printStackTrace();
    }
  }
}

Instructions

First install the library and its dependencies and then save the example to Example.java and run following commands:

    
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comuk1.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_BEARER_TOKEN="<PERSONAL_ACCESS_TOKEN OR SERVICE_ACCESS_TOKEN>" java "Example.java"
// Get a Model Lab run returns "OK" response
use datadog_api_client::datadog;
use datadog_api_client::datadogV2::api_model_lab_api::ModelLabAPIAPI;

#[tokio::main]
async fn main() {
    let mut configuration = datadog::Configuration::new();
    configuration.set_unstable_operation_enabled("v2.GetModelLabRun", true);
    let api = ModelLabAPIAPI::with_config(configuration);
    let resp = api.get_model_lab_run(70158).await;
    if let Ok(value) = resp {
        println!("{:#?}", value);
    } else {
        println!("{:#?}", resp.unwrap_err());
    }
}

Instructions

First install the library and its dependencies and then save the example to src/main.rs and run following commands:

    
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comuk1.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" cargo run
/**
 * Get a Model Lab run returns "OK" response
 */

import { client, v2 } from "@datadog/datadog-api-client";

const configuration = client.createConfiguration({
  authMethods: {
    AuthZ: {
      accessToken: process.env.DD_BEARER_TOKEN as string,
    },
  },
});
configuration.unstableOperations["v2.getModelLabRun"] = true;
const apiInstance = new v2.ModelLabAPIApi(configuration);

const params: v2.ModelLabAPIApiGetModelLabRunRequest = {
  runId: 70158,
};

apiInstance
  .getModelLabRun(params)
  .then((data: v2.ModelLabRunResponse) => {
    console.log(
      "API called successfully. Returned data: " + JSON.stringify(data)
    );
  })
  .catch((error: any) => console.error(error));

Instructions

First install the library and its dependencies and then save the example to example.ts and run following commands:

    
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comuk1.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_BEARER_TOKEN="<PERSONAL_ACCESS_TOKEN OR SERVICE_ACCESS_TOKEN>" tsc "example.ts"